%global momorel 1

Summary:	A clutter widget toolkit
Name:		libmx
Version:	1.4.7
Release:	%{momorel}m%{?dist}
Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://www.clutter-project.org
Source0:	https://github.com/downloads/clutter-project/mx/mx-%{version}.tar.xz
NoSource:	0
Patch0:		0001-Replace-GL-data-types-with-equivalent-glib-types.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: clutter-devel >= 1.15.90
BuildRequires: gobject-introspection-devel
BuildRequires: cogl-devel
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: startup-notification-devel
BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: gettext
BuildRequires: gtk-doc

%description
Mx is a clutter widget toolkit that provides a set of standard user interface 
elements, including buttons, progress bars, tooltips, scroll bars and others. 
It also implements some standard layout managers. One other interesting feature 
is the possibility of setting style properties from a css-like file. It is 
currently used by Moblin to provide the user experience.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: clutter-devel, gdk-pixbuf2-devel
Requires: pkgconfig

%description devel
Header files and libraries used for development with MX, a clutter widget 
toolkit, currently used primarily by Moblin.

%package docs
Summary: Documentation files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
This package contains developer documentation for MX, a clutter widget 
toolkit, currently used primarily by Moblin.

%prep
%setup -q -n mx-%{version}
%patch0 -p1 -b .header

%build
%configure --disable-static --enable-introspection --enable-gtk-doc
make %{?_smp_mflags} V=1

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang mx-1.0

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f mx-1.0.lang
%defattr(-,root,root,-)
%doc COPYING.LIB README NEWS
%{_bindir}/mx-create-image-cache
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Mx*.typelib
%{_datadir}/mx

%files devel
%defattr(-,root,root,-)
%{_includedir}/mx-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/mx-1.0.pc
%{_libdir}/pkgconfig/mx-gtk-1.0.pc
%{_datadir}/gtk-doc/html/mx-gtk
%{_datadir}/gir-1.0/Mx-1.0.gir
%{_datadir}/gir-1.0/MxGtk-1.0.gir

%doc %{_datadir}/gtk-doc/html/mx

%changelog
* Sun Jul  8 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.7-1m)
- update 1.4.7
- revise spec

* Sun Jul  8 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3.1-5m)
- do not use glade3-*-devel, which are now replaced by glade-devel

* Sat Jul  7 2012 Daniel Mclellan <daniel.mclellan@gmail.com>
- (1.3.1-4m)
- rebuild for glade3-libgladeui-devel

* Sat Jul  7 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3.1-3m)
- rebuild for glade-devel

* Wed Jul  4 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3.1-2m)
- rebuild for cogl-1.10.2

* Tue Sep 20 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.1-1m)
-update to 1.3.1

* Tue Sep 20 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.0-2m)
- rebuild against cogl-1.8.0

* Sat Aug  6 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.0-1m)
-update to 1.3.0

* Tue Apr 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.4-1m)
- initial build
